import { Radio as ARadio, RadioGroup as ARadioGroup, RadioButton as ARadioButton } from 'ant-design-vue';
import 'ant-design-vue/es/radio/style/css';
import { vDasTooltip, DasIcon } from '@das-fed/ui';
import type { Props } from './type';
declare let radioValue: import("vue").Ref<any, any>, isFocus: import("vue").Ref<boolean, boolean>;
declare const radioLayout: string;
declare const radioRef: import("vue").Ref<any, any>;
declare const viewText: import("vue").ComputedRef<"" | "-">;
declare const radioDefaultProp: import("vue").Ref<any, any>;
declare const radioOptions: import("vue").ComputedRef<any>;
declare const changeRadio: () => void;
declare const radioViewOptions: import("vue").ComputedRef<any>;
declare const changeRadioSquare: (type: string, row: any) => void;
declare const blurRadioSquare: (type: string, row: any) => void;
declare const textWidth: import("vue").ComputedRef<string | undefined>;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_9: {}, __VLS_15: {}, __VLS_29: {
    item: any;
}, __VLS_43: {
    item: any;
};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    default?: (props: typeof __VLS_9) => any;
} & {
    default?: (props: typeof __VLS_15) => any;
} & {
    default?: (props: typeof __VLS_29) => any;
} & {
    default?: (props: typeof __VLS_43) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    ARadio: typeof ARadio;
    ARadioGroup: typeof ARadioGroup;
    ARadioButton: typeof ARadioButton;
    vDasTooltip: typeof vDasTooltip;
    DasIcon: typeof DasIcon;
    radioValue: typeof radioValue;
    isFocus: typeof isFocus;
    radioLayout: typeof radioLayout;
    radioRef: typeof radioRef;
    viewText: typeof viewText;
    radioDefaultProp: typeof radioDefaultProp;
    radioOptions: typeof radioOptions;
    changeRadio: typeof changeRadio;
    radioViewOptions: typeof radioViewOptions;
    changeRadioSquare: typeof changeRadioSquare;
    blurRadioSquare: typeof blurRadioSquare;
    textWidth: typeof textWidth;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (n: any) => any;
    change: (e: any) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onUpdate:modelValue"?: ((n: any) => any) | undefined;
    onChange?: ((e: any) => any) | undefined;
}>, {
    name: string;
    defaultProps: import("./type").ValLabel<string>;
    disabled: boolean;
    modelValue: any;
    isView: boolean;
    noSetDefaultVal: boolean;
    options: any[];
    optionType: "default" | "square" | "button" | "filterSquare";
    layout: "default" | "vertical";
    radioType: "default" | "group";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:modelValue": (n: any) => any;
    change: (e: any) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onUpdate:modelValue"?: ((n: any) => any) | undefined;
    onChange?: ((e: any) => any) | undefined;
}>, {
    name: string;
    defaultProps: import("./type").ValLabel<string>;
    disabled: boolean;
    modelValue: any;
    isView: boolean;
    noSetDefaultVal: boolean;
    options: any[];
    optionType: "default" | "square" | "button" | "filterSquare";
    layout: "default" | "vertical";
    radioType: "default" | "group";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
